
import * as _provinces from './provinces.json';
import * as _cities from './cities.json';
import * as _areas from './areas.json';

export const provinces = [];

// 省Object
const $provincesObj = {};

// 省
(<any>_provinces).default.forEach(_p => {
    const p = {
        label: _p.name,
        value: _p.code,
        children: [],

        // 市Object
        $citiesObj: {},
    };

    provinces.push(p);
    $provincesObj[_p.code] = p;
});

// 市
(<any>_cities).default.forEach(_c => {
    const c = {
        label: _c.name,
        value: _c.code,
        children: [],

        // 区、县Object
        $areasObj: {},
    };

    // 添加到对应的省下
    const p = $provincesObj[_c.provinceCode];
    p.children.push(c);
    p.$citiesObj[_c.code] = c;
});

// 区、县
(<any>_areas).default.forEach(_a => {
    const a = {
        label: _a.name,
        value: _a.code,

        // TODO：暂时不支持到街道这一级别（街道是第四级，目前支持三级）
        // children: [],

        // // 街道Object
        // $streetsObj: {},
    };

    // 添加到对应的市下
    const c = $provincesObj[_a.provinceCode].$citiesObj[_a.cityCode];
    c.children.push(a);
    c.$areasObj[_a.code] = a;
});

// TODO：暂时不支持到街道这一级别（街道是第四级，目前支持三级）
// 街道

// console.log(provinces);
